Present this — AI-generate a slides deck
POST
/v1/artifacts/{id}/present
const url = 'https://shareout.site/v1/artifacts/example/present';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/artifacts/example/present \ --header 'Authorization: Bearer <token>'Reads production HTML and publishes a new private slides artifact in the same workspace. Rate-limited per user.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Artifact ID (e.g. art_abc123).
Responses
Section titled “ Responses ”New deck artifact
Media type application/json
object
artifact_id
string
url
string
Example generated
{ "artifact_id": "example", "url": "example"}Authentication required
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}Access denied
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}Resource not found
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}Rate limit exceeded